<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();


$set['title']='Ваш уровень спам-угрозы'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
if(isset($_POST['spam'])){
$spam=(int)$_POST['spam'];
$balls=$spam*5;
if($user['balls']<$balls)$err='Не хватает баллов';
if(($user['spam']-$spam)<'0')$err='Спам-угроза не может быть меньше нуля';
if(!$err){
mysql_query("UPDATE `user` SET `spam`='".($user['spam']-$spam)."' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `user` SET `balls`='".($user['balls']-$balls)."' WHERE `id`='".$user['id']."'");
msg('Успешно');
		header ( 'Refresh: 1; url=?' );
	include_once 'sys/inc/tfoot.php';
	exit ();
}else
{
err();
}
}
echo '<div class="p_t">Ваш уровен спам-угрозы равен '.$user['spam'].'</div>';
if($user['spam']>='10'){echo '<div class="p_m"><font color="red">Ваш уровень спам угрозы слишком велик! Вы не можете писать в гостевой,в форуме и в почте(всем,кроме создателя)<br />Для того чтобы писать - понизьте вашу спам-угрозу хотя бы до 9 едениц.</font></div>';}
else
{
echo '<div class="p_t"><font color="green">Ваш уровень спам-угрозы позволяет вам писать в форуме,в почте и в гостевой</font></div>';
}
echo '<div class="p_t">Курс : 1 единица = 5 баллов</div>';
echo "<form method='post' action='?$passgen'>\n";
echo "Сколько единиц спам-угрозы убрать?:<br /><input type='text' name='spam' maxlength='320' value='0' /><br />\n";
echo "<input type='submit' value='Убрaть' />\n";
echo "</form></center>\n";
include_once 'sys/inc/tfoot.php';
?>